FETCH402
← Protocol index

Resource / 303

healthy

Unnamed resource.

BTC Volatility Risk Premium — DVOL minus Parkinson realized vol (72h). Positive = sell-vol opportunity, negative = buy-vol. Response includes regime classification (LOW/MID/HIGH), raw inputs for audit (DVOL, RV_72h, RV_6h, spot), timestamp, and open methodology URL.

Eligibility
probeable
Failures
0
Last quote
2026-08-12 22:05:09 UTC
Last probe
2026-08-12 22:05:09 UTC
Payment requirements / accepts[] 1 options
State Network Scheme Atomic amount Asset payTo / untrusted
active eip155:8453 exact 1000 0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913 0x82B17D0bb4De9ae6c3491257B60E8245e70acd7B

All advertised payment options are stored. Base (`eip155:8453`) is the operational network for ranking and canaries; non-Base options remain visible for transparency.

Probe evidence 1 recent
healthy 2026-08-12 22:05:09 UTC GET · HTTP 402 · 92ms · accepts 1 · base 1 ok
Request
GET https://regimeshift.xyz/api/v1/asset/btc/vrp
Robots
allow
Note
http_402;accepts=1;base=1
Accepts fingerprint
de790c0f3daf1f79a3272347d1a0a35b5c0ff1ae24d1e85b85503f3e217be2dc

Accepts snapshot

[
  {
    "amount": "1000",
    "asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
    "assetTransferMethod": null,
    "extra": {
      "name": "USD Coin",
      "version": "2"
    },
    "maxTimeoutSeconds": 300,
    "network": "eip155:8453",
    "payTo": "0x82B17D0bb4De9ae6c3491257B60E8245e70acd7B",
    "paymentFlow": null,
    "raw": {
      "amount": "1000",
      "asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "extra": {
        "name": "USD Coin",
        "version": "2"
      },
      "maxTimeoutSeconds": 300,
      "max_timeout_seconds": 300,
      "network": "eip155:8453",
      "payTo": "0x82B17D0bb4De9ae6c3491257B60E8245e70acd7B",
      "pay_to": "0x82B17D0bb4De9ae6c3491257B60E8245e70acd7B",
      "scheme": "exact"
    },
    "scheme": "exact"
  }
]

PaymentRequired raw

{
  "accepts": [
    {
      "amount": "1000",
      "asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "extra": {
        "name": "USD Coin",
        "version": "2"
      },
      "maxTimeoutSeconds": 300,
      "network": "eip155:8453",
      "payTo": "0x82B17D0bb4De9ae6c3491257B60E8245e70acd7B",
      "scheme": "exact"
    }
  ],
  "error": "Payment required",
  "extensions": {
    "bazaar": {
      "info": {
        "input": {
          "method": "GET",
          "type": "http"
        },
        "output": {
          "example": {
            "asset": "ETH",
            "cache_ttl_sec": 60,
            "computed_at": 1779284275,
            "inputs": {
              "dvol": 52.58,
              "rv_6h": 40.204,
              "rv_72h": 52.4275,
              "source": "Deribit public API (DVOL + ETH-PERPETUAL OHLC)",
              "spot_usd": 2130.2,
              "timestamp": "2026-05-20T14:00:00+00:00"
            },
            "methodology": "https://regimeshift.xyz/methodology/vrp-v1",
            "ok": true,
            "quiet": true,
            "regime": "MID",
            "vrp": 0.1525
          },
          "type": "json"
        }
      },
      "schema": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "properties": {
          "input": {
            "additionalProperties": false,
            "properties": {
              "method": {
                "enum": [
                  "GET",
                  "HEAD",
                  "DELETE"
                ],
                "type": "string"
              },
              "queryParams": {
                "properties": {},
                "type": "object"
              },
              "type": {
                "const": "http",
                "type": "string"
              }
            },
            "required": [
              "type",
              "method"
            ],
            "type": "object"
          },
          "output": {
            "properties": {
              "example": {
                "properties": {
                  "asset": {
                    "enum": [
                      "ETH",
                      "BTC"
                    ],
                    "type": "string"
                  },
                  "cache_ttl_sec": {
                    "type": "integer"
                  },
                  "computed_at": {
                    "description": "Unix timestamp",
                    "type": "integer"
                  },
                  "inputs": {
                    "properties": {
                      "dvol": {
                        "description": "Deribit volatility index, annualized %",
                        "type": "number"
                      },
                      "rv_6h": {
                        "description": "Parkinson realized vol over 6h, %",
                        "type": "number"
                      },
                      "rv_72h": {
                        "description": "Parkinson realized vol over 72h, %",
                        "type": "number"
                      },
                      "source": {
                        "type": "string"
                      },
                      "spot_usd": {
                        "type": "number"
                      },
                      "timestamp": {
                        "format": "date-time",
                        "type": "string"
                      }
                    },
                    "required": [
                      "dvol",
                      "rv_72h",
                      "spot_usd",
                      "timestamp"
                    ],
                    "type": "object"
                  },
                  "methodology": {
                    "format": "uri",
                    "type": "string"
                  },
                  "ok": {
                    "description": "Request status",
                    "type": "boolean"
                  },
                  "quiet": {
                    "description": "true if RV_72h < 60%",
                    "type": "boolean"
                  },
                  "regime": {
                    "enum": [
                      "LOW",
                      "MID",
                      "HIGH"
                    ],
                    "type": "string"
                  },
                  "vrp": {
                    "description": "DVOL − Parkinson RV(72h), in vol points. Positive = sell-vol opportunity",
                    "type": "number"
                  }
                },
                "required": [
                  "ok",
                  "asset",
                  "vrp",
                  "regime",
                  "inputs"
                ],
                "type": "object"
              },
              "type": {
                "type": "string"
              }
            },
            "required": [
              "type"
            ],
            "type": "object"
          }
        },
        "required": [
          "input"
        ],
        "type": "object"
      }
    }
  },
  "resource": {
    "description": "BTC Volatility Risk Premium — DVOL minus Parkinson realized vol (72h). Positive = sell-vol opportunity, negative = buy-vol. Response includes regime classification (LOW/MID/HIGH), raw inputs for audit (DVOL, RV_72h, RV_6h, spot), timestamp, and open methodology URL.",
    "mimeType": "application/json",
    "url": "https://regimeshift.xyz/api/v1/asset/btc/vrp"
  },
  "x402Version": 2
}

Response headers

{
  "cache-control": "no-cache",
  "connection": "keep-alive",
  "content-length": "2581",
  "content-type": "application/json",
  "date": "Wed, 12 Aug 2026 22:05:09 GMT",
  "payment-required": "eyJ4NDAyVmVyc2lvbiI6MiwiZXJyb3IiOiJQYXltZW50IHJlcXVpcmVkIiwicmVzb3VyY2UiOnsidXJsIjoiaHR0cHM6Ly9yZWdpbWVzaGlmdC54eXovYXBpL3YxL2Fzc2V0L2J0Yy92cnAiLCJkZXNjcmlwdGlvbiI6IkJUQyBWb2xhdGlsaXR5IFJpc2sgUHJlbWl1bSDigJQgRFZPTCBtaW51cyBQYXJraW5zb24gcmVhbGl6ZWQgdm9sICg3MmgpLiBQb3NpdGl2ZSA9IHNlbGwtdm9sIG9wcG9ydHVuaXR5LCBuZWdhdGl2ZSA9IGJ1eS12b2wuIFJlc3BvbnNlIGluY2x1ZGVzIHJlZ2ltZSBjbGFzc2lmaWNhdGlvbiAoTE9XL01JRC9ISUdIKSwgcmF3IGlucHV0cyBmb3IgYXVkaXQgKERWT0wsIFJWXzcyaCwgUlZfNmgsIHNwb3QpLCB0aW1lc3RhbXAsIGFuZCBvcGVuIG1ldGhvZG9sb2d5IFVSTC4iLCJtaW1lVHlwZSI6ImFwcGxpY2F0aW9uL2pzb24ifSwiYWNjZXB0cyI6W3sic2NoZW1lIjoiZXhhY3QiLCJuZXR3b3JrIjoiZWlwMTU1Ojg0NTMiLCJhc3NldCI6IjB4ODMzNTg5ZkNENmVEYjZFMDhmNGM3QzMyRDRmNzFiNTRiZEEwMjkxMyIsImFtb3VudCI6IjEwMDAiLCJwYXlUbyI6IjB4ODJCMTdEMGJiNERlOWFlNmMzNDkxMjU3QjYwRTgyNDVlNzBhY2Q3QiIsIm1heFRpbWVvdXRTZWNvbmRzIjozMDAsImV4dHJhIjp7Im5hbWUiOiJVU0QgQ29pbiIsInZlcnNpb24iOiIyIn19XSwiZXh0ZW5zaW9ucyI6eyJiYXphYXIiOnsiaW5mbyI6eyJpbnB1dCI6eyJ0eXBlIjoiaHR0cCIsIm1ldGhvZCI6IkdFVCJ9LCJvdXRwdXQiOnsidHlwZSI6Impzb24iLCJleGFtcGxlIjp7Im9rIjp0cnVlLCJhc3NldCI6IkVUSCIsInZycCI6MC4xNTI1LCJyZWdpbWUiOiJNSUQiLCJxdWlldCI6dHJ1ZSwiaW5wdXRzIjp7ImR2b2wiOjUyLjU4LCJydl83MmgiOjUyLjQyNzUsInJ2XzZoIjo0MC4yMDQsInNwb3RfdXNkIjoyMTMwLjIsInRpbWVzdGFtcCI6IjIwMjYtMDUtMjBUMTQ6MDA6MDArMDA6MDAiLCJzb3VyY2UiOiJEZXJpYml0IHB1YmxpYyBBUEkgKERWT0wgKyBFVEgtUEVSUEVUVUFMIE9ITEMpIn0sIm1ldGhvZG9sb2d5IjoiaHR0cHM6Ly9yZWdpbWVzaGlmdC54eXovbWV0aG9kb2xvZ3kvdnJwLXYxIiwiY29tcHV0ZWRfYXQiOjE3NzkyODQyNzUsImNhY2hlX3R0bF9zZWMiOjYwfX19LCJzY2hlbWEiOnsiJHNjaGVtYSI6Imh0dHBzOi8vanNvbi1zY2hlbWEub3JnL2RyYWZ0LzIwMjAtMTIvc2NoZW1hIiwidHlwZSI6Im9iamVjdCIsInByb3BlcnRpZXMiOnsiaW5wdXQiOnsidHlwZSI6Im9iamVjdCIsInByb3BlcnRpZXMiOnsidHlwZSI6eyJ0eXBlIjoic3RyaW5nIiwiY29uc3QiOiJodHRwIn0sIm1ldGhvZCI6eyJ0eXBlIjoic3RyaW5nIiwiZW51bSI6WyJHRVQiLCJIRUFEIiwiREVMRVRFIl19LCJxdWVyeVBhcmFtcyI6eyJ0eXBlIjoib2JqZWN0IiwicHJvcGVydGllcyI6e319fSwicmVxdWlyZWQiOlsidHlwZSIsIm1ldGhvZCJdLCJhZGRpdGlvbmFsUHJvcGVydGllcyI6ZmFsc2V9LCJvdXRwdXQiOnsidHlwZSI6Im9iamVjdCIsInByb3BlcnRpZXMiOnsidHlwZSI6eyJ0eXBlIjoic3RyaW5nIn0sImV4YW1wbGUiOnsidHlwZSI6Im9iamVjdCIsInByb3BlcnRpZXMiOnsib2siOnsidHlwZSI6ImJvb2xlYW4iLCJkZXNjcmlwdGlvbiI6IlJlcXVlc3Qgc3RhdHVzIn0sImFzc2V0Ijp7InR5cGUiOiJzdHJpbmciLCJlbnVtIjpbIkVUSCIsIkJUQyJdfSwidnJwIjp7InR5cGUiOiJudW1iZXIiLCJkZXNjcmlwdGlvbiI6IkRWT0wg4oiSIFBhcmtpbnNvbiBSVig3MmgpLCBpbiB2b2wgcG9pbnRzLiBQb3NpdGl2ZSA9IHNlbGwtdm9sIG9wcG9ydHVuaXR5In0sInJlZ2ltZSI6eyJ0eXBlIjoic3RyaW5nIiwiZW51bSI6WyJMT1ciLCJNSUQiLCJISUdIIl19LCJxdWlldCI6eyJ0eXBlIjoiYm9vbGVhbiIsImRlc2NyaXB0aW9uIjoidHJ1ZSBpZiBSVl83MmggPCA2MCUifSwiaW5wdXRzIjp7InR5cGUiOiJvYmplY3QiLCJwcm9wZXJ0aWVzIjp7ImR2b2wiOnsidHlwZSI6Im51bWJlciIsImRlc2NyaXB0aW9uIjoiRGVyaWJpdCB2b2xhdGlsaXR5IGluZGV4LCBhbm51YWxpemVkICUifSwicnZfNzJoIjp7InR5cGUiOiJudW1iZXIiLCJkZXNjcmlwdGlvbiI6IlBhcmtpbnNvbiByZWFsaXplZCB2b2wgb3ZlciA3MmgsICUifSwicnZfNmgiOnsidHlwZSI6Im51bWJlciIsImRlc2NyaXB0aW9uIjoiUGFya2luc29uIHJlYWxpemVkIHZvbCBvdmVyIDZoLCAlIn0sInNwb3RfdXNkIjp7InR5cGUiOiJudW1iZXIifSwidGltZXN0YW1wIjp7InR5cGUiOiJzdHJpbmciLCJmb3JtYXQiOiJkYXRlLXRpbWUifSwic291cmNlIjp7InR5cGUiOiJzdHJpbmcifX0sInJlcXVpcmVkIjpbImR2b2wiLCJydl83MmgiLCJzcG90X3VzZCIsInRpbWVzdGFtcCJdfSwibWV0aG9kb2xvZ3kiOnsidHlwZSI6InN0cmluZyIsImZvcm1hdCI6InVyaSJ9LCJjb21wdXRlZF9hdCI6eyJ0eXBlIjoiaW50ZWdlciIsImRlc2NyaXB0aW9uIjoiVW5peCB0aW1lc3RhbXAifSwiY2FjaGVfdHRsX3NlYyI6eyJ0eXBlIjoiaW50ZWdlciJ9fSwicmVxdWlyZWQiOlsib2siLCJhc3NldCIsInZycCIsInJlZ2ltZSIsImlucHV0cyJdfX0sInJlcXVpcmVkIjpbInR5cGUiXX19LCJyZXF1aXJlZCI6WyJpbnB1dCJdfX19fQ==",
  "permissions-policy": "geolocation=(), microphone=(), camera=()",
  "referrer-policy": "strict-origin-when-cross-origin",
  "server": "nginx",
  "strict-transport-security": "max-age=15552000",
  "x-content-type-options": "nosniff",
  "x-frame-options": "SAMEORIGIN"
}

Response body

{
  "accepts": [
    {
      "amount": "1000",
      "asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "extra": {
        "name": "USD Coin",
        "version": "2"
      },
      "maxTimeoutSeconds": 300,
      "network": "eip155:8453",
      "payTo": "0x82B17D0bb4De9ae6c3491257B60E8245e70acd7B",
      "scheme": "exact"
    }
  ],
  "error": "Payment required",
  "extensions": {
    "bazaar": {
      "info": {
        "input": {
          "method": "GET",
          "type": "http"
        },
        "output": {
          "example": {
            "asset": "ETH",
            "cache_ttl_sec": 60,
            "computed_at": 1779284275,
            "inputs": {
              "dvol": 52.58,
              "rv_6h": 40.204,
              "rv_72h": 52.4275,
              "source": "Deribit public API (DVOL + ETH-PERPETUAL OHLC)",
              "spot_usd": 2130.2,
              "timestamp": "2026-05-20T14:00:00+00:00"
            },
            "methodology": "https://regimeshift.xyz/methodology/vrp-v1",
            "ok": true,
            "quiet": true,
            "regime": "MID",
            "vrp": 0.1525
          },
          "type": "json"
        }
      },
      "schema": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "properties": {
          "input": {
            "additionalProperties": false,
            "properties": {
              "method": {
                "enum": [
                  "GET",
                  "HEAD",
                  "DELETE"
                ],
                "type": "string"
              },
              "queryParams": {
                "properties": {},
                "type": "object"
              },
              "type": {
                "const": "http",
                "type": "string"
              }
            },
            "required": [
              "type",
              "method"
            ],
            "type": "object"
          },
          "output": {
            "properties": {
              "example": {
                "properties": {
                  "asset": {
                    "enum": [
                      "ETH",
                      "BTC"
                    ],
                    "type": "string"
                  },
                  "cache_ttl_sec": {
                    "type": "integer"
                  },
                  "computed_at": {
                    "description": "Unix timestamp",
                    "type": "integer"
                  },
                  "inputs": {
                    "properties": {
                      "dvol": {
                        "description": "Deribit volatility index, annualized %",
                        "type": "number"
                      },
                      "rv_6h": {
                        "description": "Parkinson realized vol over 6h, %",
                        "type": "number"
                      },
                      "rv_72h": {
                        "description": "Parkinson realized vol over 72h, %",
                        "type": "number"
                      },
                      "source": {
                        "type": "string"
                      },
                      "spot_usd": {
                        "type": "number"
                      },
                      "timestamp": {
                        "format": "date-time",
                        "type": "string"
                      }
                    },
                    "required": [
                      "dvol",
                      "rv_72h",
                      "spot_usd",
                      "timestamp"
                    ],
                    "type": "object"
                  },
                  "methodology": {
                    "format": "uri",
                    "type": "string"
                  },
                  "ok": {
                    "description": "Request status",
                    "type": "boolean"
                  },
                  "quiet": {
                    "description": "true if RV_72h < 60%",
                    "type": "boolean"
                  },
                  "regime": {
                    "enum": [
                      "LOW",
                      "MID",
                      "HIGH"
                    ],
                    "type": "string"
                  },
                  "vrp": {
                    "description": "DVOL − Parkinson RV(72h), in vol points. Positive = sell-vol opportunity",
                    "type": "number"
                  }
                },
                "required": [
                  "ok",
                  "asset",
                  "vrp",
                  "regime",
                  "inputs"
                ],
                "type": "object"
              },
              "type": {
                "type": "string"
              }
            },
            "required": [
              "type"
            ],
            "type": "object"
          }
        },
        "required": [
          "input"
        ],
        "type": "object"
      }
    }
  },
  "resource": {
    "description": "BTC Volatility Risk Premium — DVOL minus Parkinson realized vol (72h). Positive = sell-vol opportunity, negative = buy-vol. Response includes regime classification (LOW/MID/HIGH), raw inputs for audit (DVOL, RV_72h, RV_6h, spot), timestamp, and open methodology URL.",
    "mimeType": "application/json",
    "url": "https://regimeshift.xyz/api/v1/asset/btc/vrp"
  },
  "x402Version": 2
}

Request headers

{
  "accept": "*/*",
  "user-agent": "Fetch402Bot/0.1 (+https://fetch402.com/crawler; contact: crawler@fetch402.com)"
}

Machine contract

Schemas.

InputJSON
{
  "method": "GET",
  "type": "http"
}
OutputJSON
{
  "example": {
    "asset": "ETH",
    "cache_ttl_sec": 60,
    "computed_at": 1779284275,
    "inputs": {
      "dvol": 52.58,
      "rv_6h": 40.204,
      "rv_72h": 52.4275,
      "source": "Deribit public API (DVOL + ETH-PERPETUAL OHLC)",
      "spot_usd": 2130.2,
      "timestamp": "2026-05-20T14:00:00+00:00"
    },
    "methodology": "https://regimeshift.xyz/methodology/vrp-v1",
    "ok": true,
    "quiet": true,
    "regime": "MID",
    "vrp": 0.1525
  },
  "type": "json"
}